## kf6-kwallet 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
set(KF_DEP_VERSION "6.12.0") # handled by release scripts
project(KWallet VERSION ${KF_VERSION})
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

include(FeatureSummary)
find_package(ECM 6.12.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

set(REQUIRED_QT_VERSION 6.6.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus)

include(ECMAddQch)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMMarkNonGuiExecutable)

option(BUILD_KWALLETD "Build the kwallet daemon" ON)
option(BUILD_KWALLET_QUERY "Build kwallet-query tool" ON)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

if(NOT WIN32 AND NOT APPLE AND NOT HAIKU)
    option(WITH_X11 "Build with support for KWindowSystem::isPlatformX11()" ON)
endif()

# kwalletd contains functions that are marked as deprecated.
# These are part of the public DBus API and are used by older applications
# Therefore we must not exclude those by default
set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WindowSystem ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6DocTools ${KF_DEP_VERSION})

ecm_set_disabled_deprecation_versions(
    QT 6.8.0
    KF 6.11.0
)

add_definitions(-DTRANSLATION_DOMAIN=\"kwalletd6\")
ki18n_install(po)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
    add_subdirectory(examples)
endif()
if (KF6DocTools_FOUND)
    add_subdirectory(docs)
endif()

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== examples/CMakeLists.txt ===
add_subdirectory(asynchronous_app)

=== src/runtime/kwalletd/CMakeLists.txt ===
configure_file(config-kwalletd.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kwalletd.h )

include(CheckSymbolExists)

check_symbol_exists(explicit_bzero "string.h" KWALLETD_HAVE_EXPLICIT_BZERO)
check_symbol_exists(RtlSecureZeroMemory "windows.h" KWALLETD_HAVE_RTLSECUREZEROMEMORY)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui)

find_package(KF6ColorScheme ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6DBusAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Notifications ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WindowSystem ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Crash ${KF_DEP_VERSION} REQUIRED)

########### find needed packages ######
find_package(Gpgmepp 1.7.0) # provided by GpgME

if (Gpgmepp_FOUND)
    message("GPG support enabled")
    add_definitions(-DHAVE_GPGMEPP)
    add_definitions(-DBOOST_NO_EXCEPTIONS)
    include_directories(${GPGME_INCLUDES})
endif(Gpgmepp_FOUND)

find_package(Qca-qt6 REQUIRED 2.3.1)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
########### build backends #########
add_subdirectory(backend)
add_subdirectory(autotests)

########### kwalletd ###############

add_executable(kwalletd6)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/backend)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../api/KWallet)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../../api/KWallet)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

ecm_setup_version(${KF_VERSION} VARIABLE_PREFIX KWALLETD
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kwalletd_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6WalletConfigVersion.cmake"
                        SOVERSION 6)

target_sources(kwalletd6 PRIVATE
   main.cpp
   kbetterthankdialog.cpp
   kwalletd.cpp
   kwalletwizard.cpp
   ktimeout.cpp
   kwalletsessionstore.cpp
   kwalletfreedesktopservice.cpp
   kwalletfreedesktopsession.cpp
   kwalletfreedesktopcollection.cpp
   kwalletfreedesktopitem.cpp
   kwalletfreedesktopprompt.cpp
   kwalletfreedesktopattributes.cpp

   kwalletportalsecrets.cpp
)
ecm_qt_declare_logging_category(kwalletd6
    HEADER kwalletd_debug.h
    IDENTIFIER KWALLETD_LOG
    CATEGORY_NAME kf.wallet.kwalletd
    OLD_CATEGORY_NAMES kf5.kwallet.kwalletd
    DESCRIPTION "kwalletd"
    EXPORT KWALLET
)

ki18n_wrap_ui(kwalletd6
   kbetterthankdialogbase.ui
   kwalletwizardpageexplanation.ui
   kwalletwizardpageintro.ui
   kwalletwizardpageoptions.ui
   kwalletwizardpagepassword.ui
)

if (Gpgmepp_FOUND)
    target_sources(kwalletd6 PRIVATE
        knewwalletdialog.cpp
    )
    ki18n_wrap_ui(kwalletd6
        kwalletwizardpagepasswordgpg.ui
        kwalletwizardpagegpgkey.ui
        knewwalletdialogintro.ui
        knewwalletdialoggpg.ui
    )
endif(Gpgmepp_FOUND)

if (NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
    EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.72.0)
    set(kwallet_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.kde.KWallet.xml)
else()
    # copy of org.kde.KWallet.xml, but with all deprecated API removed
    set(kwallet_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.kde.KWallet.nodeprecated.xml)
endif()
set(fdo_service_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Service.xml)
set(fdo_session_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Session.xml)
set(fdo_collection_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Collection.xml)
set(fdo_item_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Item.xml)
set(fdo_prompt_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Prompt.xml)
set(fdo_portal_secret_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.impl.portal.Secret.xml)

set(kwalletd_dbus_SRCS)
qt_add_dbus_adaptor(kwalletd_dbus_SRCS ${kwallet_xml} kwalletd.h KWalletD kwalletadaptor KWalletAdaptor)
qt_add_dbus_adaptor(kwalletd_dbus_SRCS ${fdo_service_xml} kwalletfreedesktopservice.h KWalletFreedesktopService
    kwalletfreedesktopserviceadaptor KWalletFreedesktopServiceAdaptor)
qt_add_dbus_adaptor(kwalletd_dbus_SRCS ${fdo_session_xml} kwalletfreedesktopsession.h KWalletFreedesktopSession
    kwalletfreedesktopsessionadaptor KWalletFreedesktopSessionAdaptor)
qt_add_dbus_adaptor(kwalletd_dbus_SRCS ${fdo_collection_xml} kwalletfreedesktopcollection.h KWalletFreedesktopCollection
    kwalletfreedesktopcollectionadaptor KWalletFreedesktopCollectionAdaptor)
qt_add_dbus_adaptor(kwalletd_dbus_SRCS ${fdo_item_xml} kwalletfreedesktopitem.h KWalletFreedesktopItem
    kwalletfreedesktopitemadaptor KWalletFreedesktopItemAdaptor)
qt_add_dbus_adaptor(kwalletd_dbus_SRCS ${fdo_prompt_xml} kwalletfreedesktopprompt.h KWalletFreedesktopPrompt
    kwalletfreedesktoppromptadaptor KWalletFreedesktopPromptAdaptor)
qt_add_dbus_adaptor(kwalletd_dbus_SRCS ${fdo_portal_secret_xml} kwalletportalsecrets.h KWalletPortalSecrets
    kwalletportalsecretsadaptor KWalletPortalSecretsAdaptor)

target_sources(kwalletd6 PRIVATE
    ${kwalletd_dbus_SRCS}
)

if(WIN32)
    configure_file(org.kde.kwalletd5.service.win.in
                   ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd5.service)
    configure_file(org.kde.kwalletd6.service.win.in
                   ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd6.service)
else()
    configure_file(org.kde.kwalletd5.service.in
                   ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd5.service)
    configure_file(org.kde.kwalletd6.service.in
                   ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd6.service)
endif()

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd5.service
        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd6.service
    DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR}
)

if (HAIKU)
    target_link_libraries(kwalletd6 network)
endif ()

target_link_libraries(kwalletd6
    KF6WalletBackend
    KF6Wallet
    Qt6::Widgets
    KF6::I18n
    KF6::ColorScheme
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::DBusAddons
    KF6::WidgetsAddons
    KF6::WindowSystem
    KF6::Notifications
    KF6::Crash
    ${Qca_LIBRARY})
if (Gpgmepp_FOUND)
    target_link_libraries(kwalletd6 Gpgmepp)
    kde_target_enable_exceptions(kwalletd6 PRIVATE)
endif(Gpgmepp_FOUND)

ecm_mark_nongui_executable(kwalletd6)
install(TARGETS kwalletd6  ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############
install( FILES kwalletd6.notifyrc DESTINATION  ${KDE_INSTALL_KNOTIFYRCDIR} )
install( FILES org.kde.kwalletd6.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
install( FILES kwallet.portal DESTINATION ${KDE_INSTALL_DATADIR}/xdg-desktop-portal/portals)

=== src/runtime/kwalletd/autotests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

find_package(Qt6Test REQUIRED)
find_package(KF6Config ${KF6_DEP_VERSION} REQUIRED)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

include(ECMAddTests)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../backend)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../backend)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../api/KWallet)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../api/KWallet)

add_definitions(-DFDO_ENABLE_DUMMY_MESSAGE_CONNECTION)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

if (NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
    EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.72.0)
    set(kwallet_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.kde.KWallet.xml)
else()
    # copy of org.kde.KWallet.xml, but with all deprecated API removed
    set(kwallet_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.kde.KWallet.nodeprecated.xml)
endif()
set(fdo_service_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Service.xml)
set(fdo_session_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Session.xml)
set(fdo_collection_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Collection.xml)
set(fdo_item_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Item.xml)
set(fdo_prompt_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Prompt.xml)

set(TEST_SRC
    fdo_secrets_test.cpp
    ../kwalletfreedesktopservice.cpp
    ../kwalletfreedesktopitem.cpp
    ../kwalletfreedesktopcollection.cpp
    ../kwalletfreedesktopsession.cpp
    ../kwalletfreedesktopprompt.cpp
    ../kwalletfreedesktopattributes.cpp
)

qt_add_dbus_adaptor( TEST_SRC ${kwallet_xml} ../kwalletd.h KWalletD kwalletadaptor KWalletAdaptor)
qt_add_dbus_adaptor( TEST_SRC ${fdo_service_xml} ../kwalletfreedesktopservice.h KWalletFreedesktopService
    kwalletfreedesktopserviceadaptor KWalletFreedesktopServiceAdaptor)
qt_add_dbus_adaptor( TEST_SRC ${fdo_session_xml} ../kwalletfreedesktopsession.h KWalletFreedesktopSession
    kwalletfreedesktopsessionadaptor KWalletFreedesktopSessionAdaptor)
qt_add_dbus_adaptor( TEST_SRC ${fdo_collection_xml} ../kwalletfreedesktopcollection.h KWalletFreedesktopCollection
    kwalletfreedesktopcollectionadaptor KWalletFreedesktopCollectionAdaptor)
qt_add_dbus_adaptor( TEST_SRC ${fdo_item_xml} ../kwalletfreedesktopitem.h KWalletFreedesktopItem
    kwalletfreedesktopitemadaptor KWalletFreedesktopItemAdaptor)
qt_add_dbus_adaptor( TEST_SRC ${fdo_prompt_xml} ../kwalletfreedesktopprompt.h KWalletFreedesktopPrompt
    kwalletfreedesktoppromptadaptor KWalletFreedesktopPromptAdaptor)

ecm_add_test(
    ${TEST_SRC}
    ../kwalletfreedesktopservice.h
    ../kwalletfreedesktopcollection.h
    ../kwalletfreedesktopitem.h
    ../kwalletfreedesktopsession.h
    ../kwalletfreedesktopprompt.h
    ../kwalletd.h
    ../ktimeout.h
    kwalletfreedesktopserviceadaptor.cpp
    kwalletfreedesktopcollectionadaptor.cpp
    kwalletfreedesktopitemadaptor.cpp
    kwalletfreedesktopsessionadaptor.cpp
    kwalletfreedesktoppromptadaptor.cpp
    TEST_NAME fdo_secrets_test
    LINK_LIBRARIES
        KF6Wallet
        KF6WalletBackend
        Qt6::Widgets
        Qt6::Test
        KF6::DBusAddons
        KF6::ConfigCore
        ${Qca_LIBRARY}
)

=== debian/changelog ===
kf6-kwallet (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:55:19 +0000

kf6-kwallet (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:50:31 +0000

kf6-kwallet (6.10.0-0ubuntu2) plucky; urgency=medium

  * Re-enable build with gpgme now that is not blocking in proposed.
    (LP: #2094825)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jan 2025 20:31:56 +0000

kf6-kwallet (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:21:48 +0000

kf6-kwallet (6.9.0-0ubuntu4) plucky; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2025 08:34:07 +0000

kf6-kwallet (6.9.0-0ubuntu3) plucky; urgency=medium

  * Build without gpgme (again).
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2025 05:23:22 +0000

kf6-kwallet (6.9.0-0ubuntu2) plucky; urgency=medium

  * Sync changes from 6.8.0-2

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jan 2025 13:15:43 +0000

=== debian/control ===
Source: kf6-kwallet
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.12.0~),
               libgcrypt20-dev (>= 1.5.0~),
               libgpgme-dev | libgpgme11-dev,
               libgpgmepp-dev (>= 1.7.0~),
               libkf6colorscheme-dev (>= 6.12.0~),
               libkf6config-dev (>= 6.12.0~),
               libkf6coreaddons-dev (>= 6.12.0~),
               libkf6crash-dev (>= 6.12.0~),
               libkf6dbusaddons-dev (>= 6.12.0~),
               libkf6doctools-dev (>= 6.12.0~),
               libkf6i18n-dev (>= 6.12.0~),
               libkf6notifications-dev (>= 6.12.0~),
               libkf6widgetsaddons-dev (>= 6.12.0~),
               libkf6windowsystem-dev (>= 6.12.0~),
               libqca-qt6-dev (>= 2.3.1~),
               libqca-qt6-plugins <!nocheck>,
               libqt6sql6-sqlite <!nocheck>,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kwallet
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwallet
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwallet
Rules-Requires-Root: no

Package: kwallet6
Architecture: any
Multi-Arch: foreign
Depends: libkf6wallet-data (= ${source:Version}),
         libkf6walletbackend6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5wallet-bin (<< 5.115.0-3~), libkf6wallet-bin,
Replaces: libkf5wallet-bin (<< 5.115.0-3~), libkf6wallet-bin,
Description: safe desktop-wide storage for passwords - kwalletd daemon
 This framework contains two main components:
 - Interface to KWallet, the safe desktop-wide storage for
   passwords on KDE work spaces.
 - The kwalletd used to safely store the passwords on KDE work spaces.
 .
 This package contains the kwalletd runtime daemon.

Package: libkf6wallet-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: safe desktop-wide storage for passwords - data files
 This framework contains two main components:
 - Interface to KWallet, the safe desktop-wide storage for
   passwords on KDE work spaces.
 - The kwalletd used to safely store the passwords on KDE work spaces.
 .
 This package contains the translation files for the KWallet framework.

Package: libkf6wallet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6colorscheme-dev (>= 6.12.0~),
         libkf6config-dev (>= 6.12.0~),
         libkf6coreaddons-dev (>= 6.12.0~),
         libkf6dbusaddons-dev (>= 6.12.0~),
         libkf6i18n-dev (>= 6.12.0~),
         libkf6notifications-dev (>= 6.12.0~),
         libkf6wallet6 (= ${binary:Version}),
         libkf6walletbackend6 (= ${binary:Version}),
         libkf6widgetsaddons-dev (>= 6.12.0~),
         libkf6windowsystem-dev (>= 6.12.0~),
         libqca-qt6-dev (>= 2.3.1~),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Recommends: libkf6wallet-doc (= ${source:Version}),
Description: safe desktop-wide storage for passwords - development files
 This framework contains two main components:
 - Interface to KWallet, the safe desktop-wide storage for
   passwords on KDE work spaces.
 - The kwalletd used to safely store the passwords on KDE work spaces.
 .
 This package contains the development files for the KWallet framework.

Package: libkf6wallet-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: safe desktop-wide storage for passwords - developer documentation
 This framework contains two main components:
 - Interface to KWallet, the safe desktop-wide storage for
   passwords on KDE work spaces.
 - The kwalletd used to safely store the passwords on KDE work spaces.
 .
 This package contains the QCH developer documentation for the KWallet
 framework.

Package: libkf6wallet6
Architecture: any
Depends: libkf6wallet-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: safe desktop-wide storage for passwords - shared library
 This framework contains two main components:
 - Interface to KWallet, the safe desktop-wide storage for
   passwords on KDE work spaces.
 - The kwalletd used to safely store the passwords on KDE work spaces.
 .
 This package contains the shared library to interface with KWallet.

Package: libkf6walletbackend6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: safe desktop-wide storage for passwords - backend library
 This framework contains two main components:
 - Interface to KWallet, the safe desktop-wide storage for
   passwords on KDE work spaces.
 - The kwalletd used to safely store the passwords on KDE work spaces.
 .
 This package contains the library with the password storage backend
 implementation for the kwalletd daemon.

## kf6-kwallet 6.13.0

=== debian/changelog ===
kf6-kwallet (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:36:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,39 +1,38 @@
 Source: kf6-kwallet
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme-dev | libgpgme11-dev,
                libgpgmepp-dev (>= 1.7.0~),
-               libkf6colorscheme-dev (>= 6.12.0~),
-               libkf6config-dev (>= 6.12.0~),
-               libkf6coreaddons-dev (>= 6.12.0~),
-               libkf6crash-dev (>= 6.12.0~),
-               libkf6dbusaddons-dev (>= 6.12.0~),
-               libkf6doctools-dev (>= 6.12.0~),
-               libkf6i18n-dev (>= 6.12.0~),
-               libkf6notifications-dev (>= 6.12.0~),
-               libkf6widgetsaddons-dev (>= 6.12.0~),
-               libkf6windowsystem-dev (>= 6.12.0~),
+               libkf6colorscheme-dev (>= 6.13.0~),
+               libkf6config-dev (>= 6.13.0~),
+               libkf6coreaddons-dev (>= 6.13.0~),
+               libkf6crash-dev (>= 6.13.0~),
+               libkf6dbusaddons-dev (>= 6.13.0~),
+               libkf6doctools-dev (>= 6.13.0~),
+               libkf6i18n-dev (>= 6.13.0~),
+               libkf6notifications-dev (>= 6.13.0~),
+               libkf6widgetsaddons-dev (>= 6.13.0~),
+               libkf6windowsystem-dev (>= 6.13.0~),
                libqca-qt6-dev (>= 2.3.1~),
                libqca-qt6-plugins <!nocheck>,
                libqt6sql6-sqlite <!nocheck>,
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kwallet
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwallet
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwallet
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwallet
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwallet.git
 Rules-Requires-Root: no
 
 Package: kwallet6
@@ -43,7 +42,9 @@
          libkf6walletbackend6 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: libkf5wallet-bin (<< 5.115.0-3~), libkf6wallet-bin,
+Breaks: libkf5wallet-bin (<< 5.115.0-3~),
+        libkf6wallet-bin,
+        libpam-kwallet5 (<< 6.0.0~),
 Replaces: libkf5wallet-bin (<< 5.115.0-3~), libkf6wallet-bin,
 Description: safe desktop-wide storage for passwords - kwalletd daemon
  This framework contains two main components:
@@ -69,18 +70,18 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6colorscheme-dev (>= 6.12.0~),
-         libkf6config-dev (>= 6.12.0~),
-         libkf6coreaddons-dev (>= 6.12.0~),
-         libkf6dbusaddons-dev (>= 6.12.0~),
-         libkf6i18n-dev (>= 6.12.0~),
-         libkf6notifications-dev (>= 6.12.0~),
+Depends: libkf6colorscheme-dev (>= 6.13.0~),
+         libkf6config-dev (>= 6.13.0~),
+         libkf6coreaddons-dev (>= 6.13.0~),
+         libkf6dbusaddons-dev (>= 6.13.0~),
+         libkf6i18n-dev (>= 6.13.0~),
+         libkf6notifications-dev (>= 6.13.0~),
          libkf6wallet6 (= ${binary:Version}),
          libkf6walletbackend6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.12.0~),
-         libkf6windowsystem-dev (>= 6.12.0~),
+         libkf6widgetsaddons-dev (>= 6.13.0~),
+         libkf6windowsystem-dev (>= 6.13.0~),
          libqca-qt6-dev (>= 2.3.1~),
-         qt6-base-dev (>= 6.5.0~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6wallet-doc (= ${source:Version}),
 Description: safe desktop-wide storage for passwords - development files
@@ -107,10 +108,10 @@
 
 Package: libkf6wallet6
 Architecture: any
+Multi-Arch: same
 Depends: libkf6wallet-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Multi-Arch: same
 Description: safe desktop-wide storage for passwords - shared library
  This framework contains two main components:
  - Interface to KWallet, the safe desktop-wide storage for
@@ -121,8 +122,8 @@
 
 Package: libkf6walletbackend6
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Multi-Arch: same
 Description: safe desktop-wide storage for passwords - backend library
  This framework contains two main components:
  - Interface to KWallet, the safe desktop-wide storage for

## kf6-kwallet 6.16.0

=== debian/changelog ===
kf6-kwallet (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:48:46 +0100

kf6-kwallet (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:36:00 +0100

kf6-kwallet (6.14.1-0ubuntu1) questing; urgency=medium

  * New upstream hotfix release (6.14.1)
  * Drop included upstream patch.

 -- Rik Mills <rikmills@kde.org>  Sat, 17 May 2025 08:56:49 +0100

kf6-kwallet (6.14.0-0ubuntu2) questing; urgency=medium

  * Add upstream_do-not-make-clients-hang-if-kwallet-is-disabled.patch
    Fixes slow startup of applications, particularly chromium based.
    KDE Bug: https://bugs.kde.org/504014

 -- Rik Mills <rikmills@kde.org>  Thu, 15 May 2025 18:38:23 +0100

kf6-kwallet (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)
  * Update blowfish_endianess.diff
  * Update build depends.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 07:00:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,38 +1,41 @@
 Source: kf6-kwallet
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
+               extra-cmake-modules (>= 6.16.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme-dev | libgpgme11-dev,
                libgpgmepp-dev (>= 1.7.0~),
-               libkf6colorscheme-dev (>= 6.13.0~),
-               libkf6config-dev (>= 6.13.0~),
-               libkf6coreaddons-dev (>= 6.13.0~),
-               libkf6crash-dev (>= 6.13.0~),
-               libkf6dbusaddons-dev (>= 6.13.0~),
-               libkf6doctools-dev (>= 6.13.0~),
-               libkf6i18n-dev (>= 6.13.0~),
-               libkf6notifications-dev (>= 6.13.0~),
-               libkf6widgetsaddons-dev (>= 6.13.0~),
-               libkf6windowsystem-dev (>= 6.13.0~),
+               libkf6colorscheme-dev (>= 6.16.0~),
+               libkf6config-dev (>= 6.16.0~),
+               libkf6coreaddons-dev (>= 6.16.0~),
+               libkf6crash-dev (>= 6.16.0~),
+               libkf6dbusaddons-dev (>= 6.16.0~),
+               libkf6doctools-dev (>= 6.16.0~),
+               libkf6i18n-dev (>= 6.16.0~),
+               libkf6notifications-dev (>= 6.16.0~),
+               libkf6widgetsaddons-dev (>= 6.16.0~),
+               libkf6windowsystem-dev (>= 6.16.0~),
                libqca-qt6-dev (>= 2.3.1~),
                libqca-qt6-plugins <!nocheck>,
                libqt6sql6-sqlite <!nocheck>,
+               libsecret-1-dev,
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.6.0~),
+               pkgconf,
+               qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kwallet
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwallet
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwallet.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwallet
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwallet
 Rules-Requires-Root: no
 
 Package: kwallet6
@@ -42,9 +45,7 @@
          libkf6walletbackend6 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: libkf5wallet-bin (<< 5.115.0-3~),
-        libkf6wallet-bin,
-        libpam-kwallet5 (<< 6.0.0~),
+Breaks: libkf5wallet-bin (<< 5.115.0-3~), libkf6wallet-bin,
 Replaces: libkf5wallet-bin (<< 5.115.0-3~), libkf6wallet-bin,
 Description: safe desktop-wide storage for passwords - kwalletd daemon
  This framework contains two main components:
@@ -70,18 +71,18 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6colorscheme-dev (>= 6.13.0~),
-         libkf6config-dev (>= 6.13.0~),
-         libkf6coreaddons-dev (>= 6.13.0~),
-         libkf6dbusaddons-dev (>= 6.13.0~),
-         libkf6i18n-dev (>= 6.13.0~),
-         libkf6notifications-dev (>= 6.13.0~),
+Depends: libkf6colorscheme-dev (>= 6.16.0~),
+         libkf6config-dev (>= 6.16.0~),
+         libkf6coreaddons-dev (>= 6.16.0~),
+         libkf6dbusaddons-dev (>= 6.16.0~),
+         libkf6i18n-dev (>= 6.16.0~),
+         libkf6notifications-dev (>= 6.16.0~),
          libkf6wallet6 (= ${binary:Version}),
          libkf6walletbackend6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.13.0~),
-         libkf6windowsystem-dev (>= 6.13.0~),
+         libkf6widgetsaddons-dev (>= 6.16.0~),
+         libkf6windowsystem-dev (>= 6.16.0~),
          libqca-qt6-dev (>= 2.3.1~),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},
 Recommends: libkf6wallet-doc (= ${source:Version}),
 Description: safe desktop-wide storage for passwords - development files
@@ -108,10 +109,10 @@
 
 Package: libkf6wallet6
 Architecture: any
-Multi-Arch: same
 Depends: libkf6wallet-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Multi-Arch: same
 Description: safe desktop-wide storage for passwords - shared library
  This framework contains two main components:
  - Interface to KWallet, the safe desktop-wide storage for
@@ -122,8 +123,8 @@
 
 Package: libkf6walletbackend6
 Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: safe desktop-wide storage for passwords - backend library
  This framework contains two main components:
  - Interface to KWallet, the safe desktop-wide storage for

## kf6-kwallet 6.17.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.17.0") # handled by release scripts
set(KF_DEP_VERSION "6.17.0") # handled by release scripts
project(KWallet VERSION ${KF_VERSION})
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

include(FeatureSummary)
find_package(ECM 6.17.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core DBus Gui Widgets)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateQDoc)

option(BUILD_KSECRETD "Build the ksecretd daemon" ON)
if(NOT WIN32 AND NOT APPLE)
    option(BUILD_KWALLETD "Build the kwallet daemon" ON)
else()
    set(BUILD_KWALLETD OFF)
endif()
option(BUILD_KWALLET_QUERY "Build kwallet-query tool" ON)

if(NOT WIN32 AND NOT APPLE AND NOT HAIKU)
    option(WITH_X11 "Build with support for KWindowSystem::isPlatformX11()" ON)
endif()

# ksecretd contains functions that are marked as deprecated.
# These are part of the public DBus API and are used by older applications
# Therefore we must not exclude those by default
set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)

if(BUILD_KSECRETD OR BUILD_KWALLETD)
    find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n WindowSystem)
endif()

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.16.0
)

if (WIN32)
    set(EXPORT_LEGACY_API 1)
else()
    set(EXPORT_LEGACY_API 0)
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"ksecretd6\")
if(BUILD_KSECRETD OR BUILD_KWALLETD OR BUILD_KWALLET_QUERY)
    ki18n_install(po)
endif()
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
    add_subdirectory(examples)
endif()
if(BUILD_KWALLET_QUERY)
    find_package(KF6DocTools ${KF_DEP_VERSION})
    if(KF6DocTools_FOUND)
        add_subdirectory(docs)
    endif()
endif()

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

find_package(Qt6Test ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT TARGET Qt6::Test)
    message(STATUS "Qt6Test not found, autotests will not be built.")
    return()
endif()

if(BUILD_KSECRETD)
    ecm_add_tests(
        blowfishtest.cpp
        LINK_LIBRARIES Qt6::Test KF6WalletBackend
        )

    target_include_directories(blowfishtest PRIVATE ${CMAKE_SOURCE_DIR}/src/runtime/ksecretd
        ${CMAKE_BINARY_DIR}/src/runtime/kwalletbackend)
endif()

add_subdirectory(KWallet)

=== debian/changelog ===
kf6-kwallet (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:18:30 +0100

=== debian/control ===
--- 
+++ 
@@ -10,20 +10,20 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme-dev | libgpgme11-dev,
                libgpgmepp-dev (>= 1.7.0~),
-               libkf6colorscheme-dev (>= 6.16.0~),
-               libkf6config-dev (>= 6.16.0~),
-               libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6crash-dev (>= 6.16.0~),
-               libkf6dbusaddons-dev (>= 6.16.0~),
-               libkf6doctools-dev (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
-               libkf6notifications-dev (>= 6.16.0~),
-               libkf6widgetsaddons-dev (>= 6.16.0~),
-               libkf6windowsystem-dev (>= 6.16.0~),
+               libkf6colorscheme-dev (>= 6.17.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6coreaddons-dev (>= 6.17.0~),
+               libkf6crash-dev (>= 6.17.0~),
+               libkf6dbusaddons-dev (>= 6.17.0~),
+               libkf6doctools-dev (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
+               libkf6notifications-dev (>= 6.17.0~),
+               libkf6widgetsaddons-dev (>= 6.17.0~),
+               libkf6windowsystem-dev (>= 6.17.0~),
                libqca-qt6-dev (>= 2.3.1~),
                libqca-qt6-plugins <!nocheck>,
                libqt6sql6-sqlite <!nocheck>,
@@ -71,16 +71,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6colorscheme-dev (>= 6.16.0~),
-         libkf6config-dev (>= 6.16.0~),
-         libkf6coreaddons-dev (>= 6.16.0~),
-         libkf6dbusaddons-dev (>= 6.16.0~),
-         libkf6i18n-dev (>= 6.16.0~),
-         libkf6notifications-dev (>= 6.16.0~),
+Depends: libkf6colorscheme-dev (>= 6.17.0~),
+         libkf6config-dev (>= 6.17.0~),
+         libkf6coreaddons-dev (>= 6.17.0~),
+         libkf6dbusaddons-dev (>= 6.17.0~),
+         libkf6i18n-dev (>= 6.17.0~),
+         libkf6notifications-dev (>= 6.17.0~),
          libkf6wallet6 (= ${binary:Version}),
          libkf6walletbackend6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.16.0~),
-         libkf6windowsystem-dev (>= 6.16.0~),
+         libkf6widgetsaddons-dev (>= 6.17.0~),
+         libkf6windowsystem-dev (>= 6.17.0~),
          libqca-qt6-dev (>= 2.3.1~),
          qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},
